Index: trunk/abdev/BasicCompiler_Common/include/CodeGenerator.h
===================================================================
--- trunk/abdev/BasicCompiler_Common/include/CodeGenerator.h	(revision 225)
+++ trunk/abdev/BasicCompiler_Common/include/CodeGenerator.h	(revision 226)
@@ -32,4 +32,80 @@
 
 #ifdef _AMD64_
+private:
+	void set_rex(int op_size,int reg,int index_reg,int base_reg);
+	void set_mod_rm_sib_disp(char mod,int reg,int scale,int index_reg,int base_reg,long disp);
+	void __op_format(int op_size,char op_prefix,char opcode1,char opcode2,int reg,int base_reg,long offset,char mod);
+public:
+	void op_mov_RV					(int op_size,int reg,long i32data);
+	void op_mov_RV64				(int reg,_int64 i64data);
+	void op_mov_RM					(int op_size,int reg,int base_reg,long offset,char mod);
+	void op_mov_RM_ex				(int op_size,int reg,int base_reg1,int base_reg2,long offset,BOOL bUseOffset);
+	void op_mov_MR					(int op_size,int reg,int base_reg,long offset,char mod);
+	void op_mov_MR_ex				(int op_size,int reg,int base_reg1,int base_reg2,long offset,BOOL bUseOffset);
+	void op_mov_MV					(int op_size,int base_reg,int offset,BOOL bUseOffset,long i32data);
+	void op_mov_RR					(int reg1,int reg2);
+	void op_mov64_ToReg				(int reg,_int64 i64data);
+	void op_mov64_ToReg				(int reg,long i32data);
+	void op_movsxd					(int reg64,int reg32);
+	void op_movsx64_FromReg16		(int reg64,int reg16);
+	void op_movsx64_FromReg8		(int reg64,int reg8);
+	void op_movsx32_FromReg16		(int reg32,int reg16);
+	void op_movsx32_FromReg8		(int reg32,int reg8);
+	void op_movsx16_FromReg8		(int reg32,int reg8);
+	void op_inc						(int reg);
+	void op_dec						(int reg);
+	void op_add_RM					(int op_size,int reg,int base_reg,int offset,char mod);
+	void op_add_RV					(int reg,long offset);
+	void op_add64_reg				(int reg1,int reg2);
+	void op_add32_reg				(int reg1,int reg2);
+	void op_sub_RV					(int op_size,int reg,long i32data);
+	void op_sub64_reg				(int reg1,int reg2);
+	void op_sub32_reg				(int reg1,int reg2);
+	void op_sbb_RR					( int op_size, int reg1, int reg2 );
+	void op_imul_RR					(int op_size,int reg1,int reg2);
+	void op_imul_RV					(int op_size,int reg,long i32data);
+	void op_div64_reg				(int reg);
+	void op_idiv64_reg				(int reg);
+	void op_shl_reg					(int op_size,int reg);
+	void op_sar_reg					(int op_size,int reg);
+	void op_shr_reg					(int op_size,int reg);
+	void op_and_reg					(int op_size,int reg1,int reg2);
+	void op_and64_value				(int reg,long offset);
+	void op_and32_value				(int reg,long offset);
+	void op_or_reg					(int op_size,int reg1,int reg2);
+	void op_xor_reg					(int op_size,int reg1,int reg2);
+	void op_not_reg					(int op_size,int reg);
+	void op_neg						( int reg );
+	void op_test					(int reg1,int reg2);
+	void op_cmp_reg					(int op_size,int reg1,int reg2);
+	void op_cmp_value				(int op_size,int reg,char byte_data);
+	void op_setne					(int reg);
+	void op_movlpd_MR				(int xmm_reg,int base_reg,int offset,char mod);
+	void op_movlpd_RM				(int xmm_reg,int base_reg,int offset,char mod);
+	void op_movsd_RR				(int xmm_reg1,int xmm_reg2);
+	void op_movsd_MR				(int xmm_reg,int base_reg,int offset,char mod);
+	void op_movss_RR				(int xmm_reg1,int xmm_reg2);
+	void op_movss_RM				(int xmm_reg,int base_reg,int offset,char mod);
+	void op_movss_MR				(int xmm_reg,int base_reg,int offset,char mod);
+	void op_movd_RX					(int reg,int xmm_reg);
+	void op_cvtsd2ss				(int xmm_reg1,int xmm_reg2);
+	void op_cvtss2sd				(int xmm_reg1,int xmm_reg2);
+	void op_cvttsd2si_xmm			(int op_size,int reg,int xmm_reg);
+	void op_cvttss2si_xmm			(int op_size,int reg,int xmm_reg);
+	void op_cvtsi2sd_reg			(int op_size,int xmm_reg,int reg);
+	void op_cvtsi2ss_reg			(int op_size,int xmm_reg,int reg);
+	void op_comisd					(int xmm_reg1,int xmm_reg2);
+	void op_comiss					(int xmm_reg1,int xmm_reg2);
+	void op_rep_movs				(int op_size);
+	void op_add_rsp(long num);
+	void op_sub_rsp(long num);
+	void op_add_esp(long num);
+	void op_sub_esp(long num);
+	void op_fld_ptr_esp(int type);
+	void op_zero_reg(int reg);
+	void op_call( const UserProc *pUserProc );
+	void op_call( const DllProc *pDllProc );
+	void op_ret();
+
 #else
 private:
